## org.eclipse.emf.edit.provider
Class ItemProvider.ItemProviderNotification

    java.lang.Object
      org.eclipse.emf.common.notify.impl.NotificationImpl
          org.eclipse.emf.edit.provider.ItemProvider.ItemProviderNotification

All Implemented Interfaces:
  Notification, NotificationChain

Enclosing class:
  ItemProvider

    public class ItemProvider.ItemProviderNotification

extends NotificationImpl

This class implements a Notification for an ItemProvider.

Field Summary

Fields inherited from class org.eclipse.emf.common.notify.impl.NotificationImpl
`eventType, IS_SET_CHANGE_INDEX, newIEEEPrimitiveValue, newSimplePrimitiveValue, newValue, next, oldIEEEPrimitiveValue, oldSimplePrimitiveValue, oldValue, position, PRIMITIVE_TYPE_BOOLEAN, PRIMITIVE_TYPE_BYTE, PRIMITIVE_TYPE_CHAR, PRIMITIVE_TYPE_DOUBLE, PRIMITIVE_TYPE_FLOAT, PRIMITIVE_TYPE_INT, PRIMITIVE_TYPE_LONG, PRIMITIVE_TYPE_OBJECT, PRIMITIVE_TYPE_SHORT, primitiveType`

Fields inherited from interface org.eclipse.emf.common.notify.Notification
`ADD, ADD_MANY, CREATE, EVENT_TYPE_COUNT, MOVE, NO_FEATURE_ID, NO_INDEX, REMOVE, REMOVE_MANY, REMOVING_ADAPTER, RESOLVE, SET, UNSET`

Constructor Summary
`ItemProvider.ItemProviderNotification(int eventType, java.lang.Object oldValue, java.lang.Object newValue, int position)`
`ItemProvider.ItemProviderNotification(int eventType, java.lang.Object oldValue, java.lang.Object newValue, int position, boolean wasSet)`

Method Summary
`void` `dispatch()` Dispatches each notification to the appropriate notifier via `Notifier.eNotify`.
`java.lang.Object` `getNotifier()` Returns the object affected by the change.

Methods inherited from class org.eclipse.emf.common.notify.impl.NotificationImpl

`add, getEventType, getFeature, getFeatureDefaultValue, getFeatureID, getNewBooleanValue, getNewByteValue, getNewCharValue, getNewDoubleValue, getNewFloatValue, getNewIntValue, getNewLongValue, getNewShortValue, getNewStringValue, getNewValue, getOldBooleanValue, getOldByteValue, getOldCharValue, getOldDoubleValue, getOldFloatValue, getOldIntValue, getOldLongValue, getOldShortValue, getOldStringValue, getOldValue, getPosition, isFeatureUnsettable, isReset, isTouch, merge, toString, wasSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ItemProvider.ItemProviderNotification

    public ItemProvider.ItemProviderNotification(int eventType,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue,
                                                 int position)

### ItemProvider.ItemProviderNotification

    public ItemProvider.ItemProviderNotification(int eventType,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue,
                                                 int position,
                                                 boolean wasSet)

Method Detail

### getNotifier

    public java.lang.Object getNotifier()

  Description copied from interface: `Notification`
  Returns the object affected by the change.

  Specified by:
    `getNotifier` in interface `Notification`
  Overrides:
    `getNotifier` in class `NotificationImpl`
  Returns:
    the object affected by the change.

### dispatch

    public void dispatch()

  Description copied from interface: `NotificationChain`
  Dispatches each notification to the appropriate notifier via `Notifier.eNotify`.

  Specified by:
    `dispatch` in interface `NotificationChain`
  Overrides:
    `dispatch` in class `NotificationImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.